Subject: Re: bug#31901: Incorrect make-network-process + nowait state handling for non-existing unix sockets in emacs-26.1

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jul 2018 18:56:31 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 22 Jul 2018 17:23:45 +0200
> 
> Mike Kazantsev <[email-masked]> writes:
> 
> > Given either of these guidelines, it'd be more surprising to not get
> > error state in the sentinel call with ":nowait t" in emacs-26.
> 
> I agree, it would be better to get a sentinel callback.  But I don't
> think that's how it's ever worked, so that's not a regression.  But it
> could be a new feature for Emacs 27...

Yes, I think we should just fix the bug on emacs-26, and introduce the
sentinel callback on master.

Thanks.